{
  "CONTENT_IDENTITY_USERS": {
    "ERROR_CREATING_USER": "Error creating user",
    "ERROR_UPDATING_USER": "Error updating user",
    "TITLE": "Users",
    "USER_LIST": {
      "ERRORS": {
        "FETCH_USERS": "Error while fetching the users"
      },
      "EMPTY_TEMPLATE": {
        "TITLE": "No Users found"
      },
      "PROPERTIES": {
        "ID": "Id",
        "FIRST_NAME": "First Name",
        "LAST_NAME": "Last Name",
        "EMAIL": "Email",
        "STATUS": "Status",
        "MODIFIED": "Modified",
        "ENABLED": "Enabled",
        "DISABLED": "Disabled"
      },
      "ACTIONS": {
        "VIEW": "View",
        "EDIT": "Edit"
      }
    },
    "USER_DETAILS": {
      "USER_NAME": "Username",
      "TITLE": "General",
      "YES": "Yes",
      "NO": "No",
      "DATA_USED": "Data used",
      "UNLIMITED": "Unlimited",
      "NOT_FOUND": "Cannot find user with selected ID",
      "TOOLBAR": {
        "TITLE": "Back",
        "BACK_TOOLTIP": "Click to go back"
      },
      "ERRORS": {
        "FETCH_USER": "We hit a problem while fetching the user. Try again."
      },
      "GROUPS": {
        "TITLE": "Groups",
        "LOAD_MORE": "Load more",
        "EMPTY": "Not a member of any group",
        "ERRORS": {
          "FETCH_GROUPS": "Error while fetching the user's group memberships",
          "DELETE_GROUP": "Error while trying to delete the group membership",
          "ADD_GROUP": "Error while trying to add a new group membership",
          "ALREADY_MEMBER_OF_GROUP": "User is already a member of that group"
        },
        "NOTIFY": {
          "ADD_GROUP": "User successfully added to group",
          "DELETE_GROUP": "User successfully removed from group"
        }
      }
    },
    "ADD_GROUP_MEMBERSHIP": {
        "TITLE": "Add to group",
        "ACTIONS": {
            "CANCEL": "Cancel",
            "APPLY": "Apply"
        },
        "SEARCH_INPUT_HINT": "The search term must be at least 3 characters long"
    },
    "USERS": {
      "ACTIONS": {
        "CREATE": "Create",
        "CANCEL": "Cancel",
        "UPDATE": "Update"
      },
      "ADD": {
        "TITLE": "Create user",
        "NOTIFY": {
          "ADD": "User created",
          "DELETE": "User deleted",
          "DELETE_ERROR": "Error deleting user",
          "SAME_USER_NAME": "A User already exists with that Username",
          "SAME_EMAIL": "A User already exists with that Email Address"
        },
        "USERNAME": {
          "LABEL": "Username",
          "REQUIRED": "Username field is required",
          "SAME_NAME": "This username is taken"
        } ,
        "FIRST_NAME": {
          "LABEL": "First name",
          "REQUIRED": "First name is required"
        },
        "LAST_NAME": {
          "LABEL": "Last name",
          "REQUIRED": "Last name is required"
        },
        "EMAIL": {
          "LABEL": "Email",
          "EMAIL": "User email should be in correct format",
          "REQUIRED": "Email is required"
        },
        "PASSWORD": {
          "LABEL": "Password",
          "REQUIRED": "Password is required",
          "MISMATCH": "Passwords are not the same",
          "MINLENGTH": "Password is too short, minimum 8 characters required"
        },
        "VERIFY_PASSWORD":{
          "LABEL": "Verify password",
          "REQUIRED": "Verify password is required",
          "MINLENGTH": "Verify password is too short, minimum 8 characters required",
          "MISMATCH": "Passwords are not the same"
        },
        "LABEL": "Create user",
        "ENABLED": {
            "LABEL": "Enabled"
        }
      }
    }
  },
  "SECURITY_CONTROLS": {
    "TITLE": "Security Controls",
    "GET_CONTROLS": {
      "ERROR": "Security controls could not be loaded"
    },
    "GET_MARKS": {
      "ERROR": "Security marks could not be loaded"
    },
    "GET_CLEARANCES": {
      "ERROR": "Authority clearances could not be loaded"
    },
    "SET_CLEARANCES": {
      "SUCCESS": "Security marks updated successfully",
      "ERROR": "Security marks could not be updated for this user. Please try again"
    },
    "ASSIGN": {
      "TITLE": "Edit Security Controls",
      "HELP": {
        "TITLE": "Permissions Help",
        "DESCRIPTION": "Permissions can be assigned directly or inherited from a group. Inherited permissions cannot be removed.",
        "EXAMPLES": {
          "INHERITED": "Inherited from group",
          "ASSIGNED": "User selected",
          "AVAILABLE": "Not selected"
        }
      },
      "CANCEL": "Cancel",
      "SAVE": "Save"
    },
    "LABEL": {
      "CONFIG_TYPE": {
        "ALL": "All",
        "ANY": "Any",
        "HIERARCHICAL": "Hierarchical"
      },
      "NO_SECURITY_CONTROLS": "No security controls",
      "NO_GROUPS_CREATED": "No security controls configured",
      "NO_CONTROLS_APPLIED": "No security controls applied"
    }
  },
  "CONTENT_IDENTITY_GROUPS": {
    "TITLE": "Groups",
    "GROUP_LIST": {
      "PROPERTIES": {
        "DISPLAY_NAME": "Display Name"
      },
      "ERRORS": {
        "FETCH_GROUPS": "Error while fetching the groups",
        "GROUP_NOT_FOUND": "This group does not exist or has recently been deleted",
        "ERROR_PERFORMING_ACTION": "Error while performing this action"
      },
      "EMPTY_TEMPLATE": {
        "TITLE": "No groups found"
      },
      "LOAD_MORE_SUB_GROUPS": "Load more",
      "NO_SUB_GROUPS": "No sub-groups",
      "ACTIONS": {
        "OPEN": "Open context menu",
        "DELETE": "Delete group",
        "EDIT": "Edit group details",
        "CREATE_GROUP": "Create group",
        "CREATE_SUBGROUP": "Create subgroup",
        "CREATE": "Create",
        "TOGGLE_GROUP": "Toggle group"
      }
    },
    "GROUP_DETAILS": {
      "GROUP_UPDATED_SUCCESS": "Group updated successfully.",
      "TOOLBAR": {
        "TITLE": "Group details",
        "BACK_TOOLTIP": "Click to go back"
      },
      "GROUP_DETAILS_PANEL": {
        "TITLE": "General",
        "EDIT_BUTTON": "Edit",
        "CANCEL_BUTTON": "Cancel",
        "SAVE_BUTTON": "Save",
        "NAME_FIELD": "Name",
        "DESCRIPTION_FIELD": "Description",
        "ERRORS": {
            "REQUIRED": "You must enter a value",
            "EMPTY_GROUP_NAME": "Name can't contain only spaces"
        },
        "HINTS": {
            "NOT_SAVED_EMPTY_DESCRIPTION": "Please note you can't delete existing description"
        }
      },
      "USERS_PANEL": {
          "TITLE": "Users",
          "NO_USERS": "No users",
          "SORT_ASC": "Sort ascending",
          "SORT_DESC": "Sort descending"
      },
      "ERRORS": {
          "NO_GROUP": "Can not find group for specified ID.",
          "UPDATE_ERROR": "Group could not be updated. Please try again.",
          "USERS_LOADING_ERROR": "Could not load users for this group."
      }
    },
    "NOTIFICATIONS": {
      "DELETE_SUCCESS": "Group '{{ displayName }}' deleted successfully.",
      "DELETE_ERROR": "Error deleting group '{{ displayName }}'.",
      "DELETE_FROM_PARENT_SUCCESS": "Group '{{ subgroup }}' removed successfully from '{{ parent }}'.",
      "DELETE_FROM_PARENT_ERROR": "Error removing '{{ subgroup }}' from '{{ parent }}'."
    },
    "DELETE_CONFIRMATION_DIALOG": {
      "TITLE": "Confirm group deletion",
      "EXISTING_PARENTS_WARNING_MESSAGE": "The group '{{ displayName }}' has one or more parent groups.",
      "EXISTING_PARENTS_UNKNOWN_IF_ROOT_WARNING_MESSAGE": "The group '{{ displayName }}' may have one or more parent groups.",
      "CONFIRM_MESSAGE": "Are you sure you want to permanently delete '{{ displayName }}'?",
      "OPTION_REMOVE_FROM_PARENT": "Just delete '{{ subgroup }}' from '{{ parent }}'.",
      "OPTION_DELETE_COMPLETELY": "Delete '{{ displayName }}' completely. This is permanent.",
      "DELETE_BUTTON": "Delete"
    }
  }
}
